Loading...
Searching...
No Matches
opengv::point_cloud::PointCloudAdapter Class Reference

`#include <PointCloudAdapter.hpp>`

Inheritance diagram for opengv::point_cloud::PointCloudAdapter:

## Public Member Functions

EIGEN_MAKE_ALIGNED_OPERATOR_NEW | PointCloudAdapter (const points_t &points1, const points_t &points2)
| Constructor. See protected class-members to understand parameters.
| PointCloudAdapter (const points_t &points1, const points_t &points2, const rotation_t &R12)
| Constructor. See protected class-members to understand parameters.
| PointCloudAdapter (const points_t &points1, const points_t &points2, const translation_t &t12, const rotation_t &R12)
| Constructor. See protected class-members to understand parameters.
virtual | ~PointCloudAdapter ()
virtual opengv::point_t | getPoint1 (size_t index) const
virtual opengv::point_t | getPoint2 (size_t index) const
virtual double | getWeight (size_t index) const
virtual size_t | getNumberCorrespondences () const
Public Member Functions inherited from opengv::point_cloud::PointCloudAdapterBase
EIGEN_MAKE_ALIGNED_OPERATOR_NEW | PointCloudAdapterBase ()
| Constructor.
| PointCloudAdapterBase (const rotation_t &R12)
| Constructor.
| PointCloudAdapterBase (const translation_t &t12, const rotation_t &R12)
| Constructor.
virtual | ~PointCloudAdapterBase ()
| Destructor.
virtual opengv::translation_t | gett12 () const
| Retrieve the prior or known value for the relative position.
virtual void | sett12 (const translation_t &t12)
| Set the prior or known value for the relative position.
virtual opengv::rotation_t | getR12 () const
| Retrieve the prior or known value for the relative rotation.
virtual void | setR12 (const rotation_t &R12)
| Set the prior or known value for the relative rotation.

## Additional Inherited Members

Public Attributes inherited from opengv::point_cloud::PointCloudAdapterBase
translation_t | _t12
rotation_t | _R12

## Detailed Description

Check the documentation of the parent-class to understand the meaning of a PointCloudAdapter. This child-class is used for holding data in form of references to opengv-types.

## Constructor & Destructor Documentation

## ~PointCloudAdapter()

virtual opengv::point_cloud::PointCloudAdapter::~PointCloudAdapter | ( |  | ) |

virtual

Destructor

## Member Function Documentation

## getNumberCorrespondences()

virtual size_t opengv::point_cloud::PointCloudAdapter::getNumberCorrespondences | ( |  | ) | const

virtual

See parent-class

Implements opengv::point_cloud::PointCloudAdapterBase.

## getPoint1()

virtual opengv::point_t opengv::point_cloud::PointCloudAdapter::getPoint1 | ( | size_t | index | ) | const

virtual

See parent-class

Implements opengv::point_cloud::PointCloudAdapterBase.

## getPoint2()

virtual opengv::point_t opengv::point_cloud::PointCloudAdapter::getPoint2 | ( | size_t | index | ) | const

virtual

See parent-class

Implements opengv::point_cloud::PointCloudAdapterBase.

## getWeight()

virtual double opengv::point_cloud::PointCloudAdapter::getWeight | ( | size_t | index | ) | const

virtual

See parent-class

Implements opengv::point_cloud::PointCloudAdapterBase.

The documentation for this class was generated from the following file:

- include/opengv/point_cloud/PointCloudAdapter.hpp